/*
 * Copyright (c) 1993 Addison-Wesley Publishing Company.
 * All rights reserved.  This source code is provided
 * for its instructional value, and is not guaranteed
 * for any particular purpose.
 */
#include <sys/utsname.h>
#include <rpc/rpc.h>

bool_t
xdr_utsname_2(XDR *handle, struct utsname *up)
{
	char *p;

	p = up->sysname;
	if (!xdr_string(handle, &p, SYS_NMLN))
		return(FALSE);
	p = up->nodename;
	if (!xdr_string(handle, &p, SYS_NMLN))
		return(FALSE);
	p = up->release;
	if (!xdr_string(handle, &p, SYS_NMLN))
		return(FALSE);
	p = up->version;
	if (!xdr_string(handle, &p, SYS_NMLN))
		return(FALSE);
	p = up->machine;
	if (!xdr_string(handle, &p, SYS_NMLN))
		return(FALSE);
	return(TRUE);
}
